## Index

### Namespaces

- "updux"

### Type aliases

- ActionGenerator
- Dict
- Mutation

## Type aliases

### ActionGenerator

ActionGenerator: { type: string } & ((...args: any[]) => { payload?: unknown; type: string })

### Dict

Dict<T>: Record<string, T>

#### Type parameters

- #### T

### Mutation

Mutation<TState>: (payload: unknown, action: Record<string, unknown>) => (state: TState) => TState

#### Type parameters

- #### TState = unknown

#### Type declaration

- - (payload: unknown, action: Record<string, unknown>): (state: TState) => TState

  - #### Parameters

    - ##### payload: unknown

    - ##### action: Record<string, unknown>

    #### Returns (state: TState) => TState

    - - (state: TState): TState

      - #### Parameters

        - ##### state: TState

        #### Returns TState

Generated using TypeDoc